package com.yidian.shenghuoquan.newscontent.ui

import android.content.Intent
import android.os.Bundle
import android.widget.Toast
import com.yidian.common.base.BaseActivity
import com.yidian.shenghuoquan.newscontent.databinding.ActivityStoreEditBinding
import com.yidian.shenghuoquan.newscontent.widget.CommonTopBarView

/**
 * Author: sym
 * Date: 2021/6/23 3:05 PM
 * Describe:
 */
class EditStoreActivity : BaseActivity<ActivityStoreEditBinding>(), CommonTopBarView.OnCommonTopBarActionCallback {
  override fun createViewBinding(): ActivityStoreEditBinding {
    return ActivityStoreEditBinding.inflate(layoutInflater)
  }

  override fun getXPageName(): String {
    return ""
  }

  override fun init(savedInstanceState: Bundle?) {
    viewBind.addressLayout.setOnClickListener {
      startActivityForResult(Intent(this@EditStoreActivity, SelectAddressActivity::class.java), 200)
    }

    viewBind.bvTopBar.setOnCommonTopBarCallback(null, this)
  }

  override fun onDoAction() {
    Toast.makeText(this@EditStoreActivity, "save", Toast.LENGTH_SHORT).show()
  }


  override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
    super.onActivityResult(requestCode, resultCode, data)
    if (resultCode == 200) {
      viewBind.storeAddressEdit.text = data!!.getStringExtra("title")
    }

//  override fun onActivityReenter(resultCode: Int, data: Intent?) {
//    super.onActivityReenter(resultCode, data)
//    if (resultCode == 200) {
//      viewBind.storeAddressEdit.text = intent.getStringExtra("title")
//
////      resultIntent.putExtra("title", data[position].title)
////      resultIntent.putExtra("cityName", data[position].cityName)
////      resultIntent.putExtra("adName", data[position].adName)
////      resultIntent.putExtra("latLonPoint", data[position].latLonPoint)
//    }
  }
}
